Creates a new purchase order order line
Request Information
URI Parameters :
None.
Body Parameters :
purchase_order_details| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| purchase_order_id |
Foreign key of the purchase_order |
globally unique identifier |
Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided |
| purchase_order_reference_back_office |
Embedded entity "purchase_order" using ERP PK when adding/updating |
string |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| purchase_order |
Embedded entity "purchase_order" when adding/updating |
purchase_order |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| line_number |
Line Number, auto filled with (Highest+1) if value is 0/null |
integer | |
| code |
Code of the article (auto filled if empty) |
string |
Max length: 255 |
| supplier_code |
Code of the supplier for this article |
string |
Max length: 255 |
| name |
Article Name (will be auto filled if article.name+description are empty) |
string |
Max length: 255 |
| description |
Article description (will be auto filled by article.short_description if name+description are empty) |
string |
Max length: 255 |
| price |
Unit Price |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ Range: inclusive between 0.1 and 1.79769313486232E+308 |
| quantity |
Quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| memo |
Line memo/remark |
string | |
| cost_price |
Unit Cost Price (statistic purpose) |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "2212994e-448b-4944-8ffc-02f7a7d04c69",
"purchase_order_id": "db084ee4-2233-4335-a35b-5b00e69df7f7",
"purchase_order_reference_back_office": "sample string 3",
"purchase_order": {
"id": "9862477c-4812-45f7-b818-0165bd69fc7c",
"id2": 2,
"jobs_id": "31681c5f-7866-4375-aa99-38763257e171",
"jobs_reference_back_office": "sample string 4",
"supplier_company_id": "c8e5aae9-4c90-41d5-a261-e82e602103c5",
"supplier_company_code": "sample string 6",
"user_id": "0c910aae-b54f-4f6b-9bce-610d8e8abce7",
"user_code": "sample string 8",
"description": "sample string 9",
"memo": "sample string 10",
"total_lines": 11,
"date_create": "2026-10-25T10:46:15.4931895+00:00",
"date_update": "2026-10-25T10:46:15.4931895+00:00",
"date_delivery": "2026-10-25T10:46:15.4931895+00:00",
"confirmed_date_delivery": "2026-10-25T10:46:15.4931895+00:00",
"delivery_db_address_id": "22a7fd46-66ee-4446-8ffe-c67fa49e935c",
"approved_by_user_id": "b69e0ee5-ab2f-4af1-ab2a-cb9ab72e6000",
"approved_by_user_code": "sample string 18",
"technical_user_id": "7c64ac2a-6855-476f-bea1-9ab4167c0834",
"technical_user_code": "sample string 20",
"purchase_order_status_id": "9c1e183d-ab1f-495a-afaf-8d000797aacb",
"purchase_order_status_code": "sample string 22",
"article_stock_location_id": "e76312c1-9c70-48a3-9723-89538910ec95",
"is_pickup": true,
"reference_back_office": "sample string 25",
"modified_dateutc": "2026-10-25T10:46:15.4931895+00:00"
},
"article_id": "3293ef06-0727-47b5-8c00-6cdb0c30ce44",
"article_code": "sample string 5",
"article": {
"id": "55a47612-5b98-4d7a-b284-2f76e36c7dbc",
"article_category_id": "145cd7c9-28b8-4aad-ab62-d1e87014f7a9",
"article_category": {
"id": "1e174d87-0881-40bb-b7f5-33d05b270bfa",
"parent_id": "aa86ba5b-6120-48ff-a748-8e3df48b52ca",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-10-25T10:46:15.4931895+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "cf8cb7d4-9939-48bd-af7f-1192ca67e2de",
"article_group_1_code": "sample string 5",
"article_group_2_id": "6ad50316-1fcb-49b4-a8c2-871f241a3538",
"article_group_2_code": "sample string 7",
"article_group_3_id": "a7f771b4-1e17-4e9d-817d-200cb5de2e92",
"article_group_3_code": "sample string 9",
"article_group_4_id": "a9bb694d-a334-4a68-8744-c5653b2f4012",
"article_group_4_code": "sample string 11",
"article_group_5_id": "8a003db3-bec4-4da5-9f0a-ce8bf78e4c83",
"article_group_5_code": "sample string 13",
"article_group_6_id": "782e11fb-f552-4572-aef7-203461ffde1c",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-10-25T10:46:15.4931895+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-10-25T10:46:15.4931895+00:00",
"date_update": "2026-10-25T10:46:15.4931895+00:00",
"modified_dateutc": "2026-10-25T10:46:15.4931895+00:00",
"article_color_id": "f8069cf6-af2e-430c-89af-df8e8bd3ef6f",
"article_color_code": "sample string 38",
"article_color": {
"id": "8d6b6bc7-8ea7-4df0-b1df-653f17eb4cda",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-10-25T10:46:15.4931895+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "62ee6c9f-4235-41da-8d97-b8f5d3dac2b4",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "13163494-90e5-4efc-8c95-18c10365e818",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"line_number": 6,
"code": "sample string 7",
"supplier_code": "sample string 8",
"name": "sample string 9",
"description": "sample string 10",
"price": 11.0,
"quantity": 12.0,
"memo": "sample string 13",
"cost_price": 14.0,
"reference_back_office": "sample string 15",
"modified_dateutc": "2026-10-25T10:46:15.512885+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.